Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.util
Class Transactions

    java.lang.Object
      org.jboss.seam.util.Transactions

    public class Transactions

extends Object

Method Summary
`static UserTransaction` | `getUserTransaction()`
`static String` | `getUserTransactionName()`
`static boolean` | `isTransactionActive()`
`static boolean` | `isTransactionActiveOrMarkedRollback()`
`static boolean` | `isTransactionMarkedRollback()`
`static void` | `setTransactionRollbackOnly()`
`static void` | `setUserTransactionName(String userTransactionName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setTransactionRollbackOnly

    public static void setTransactionRollbackOnly()
                                           throws SystemException,
                                                  NamingException

  Throws:
    `SystemException`
    `NamingException`

### isTransactionActive

    public static boolean isTransactionActive()
                                       throws SystemException,
                                              NamingException

  Throws:
    `SystemException`
    `NamingException`

### isTransactionActiveOrMarkedRollback

    public static boolean isTransactionActiveOrMarkedRollback()
                                                       throws SystemException,
                                                              NamingException

  Throws:
    `SystemException`
    `NamingException`

### isTransactionMarkedRollback

    public static boolean isTransactionMarkedRollback()
                                               throws SystemException,
                                                      NamingException

  Throws:
    `SystemException`
    `NamingException`

### getUserTransaction

    public static UserTransaction getUserTransaction()
                                              throws NamingException

  Throws:
    `NamingException`

### setUserTransactionName

    public static void setUserTransactionName(String userTransactionName)

### getUserTransactionName

    public static String getUserTransactionName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD